Home Information Classes Download Usage Mail List Requirements Links Tutorial

# JCRev Class Reference

John Chowning's reverberator class. More...

`#include <JCRev.h>`

Inheritance diagram for JCRev:

List of all members.

## Public Member Functions

| JCRev (MY_FLOAT T60)
| Class constructor taking a T60 decay time argument.
| ~JCRev ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
MY_FLOAT | tick (MY_FLOAT input)
| Compute one output sample.

## Detailed Description

John Chowning's reverberator class.

This class is derived from the CLM JCRev function, which is based on the use of networks of simple allpass and comb delay filters. This class implements three series allpass units, followed by four parallel comb filters, and two decorrelation delay lines in parallel at the output.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 23 of file JCRev.h.

The documentation for this class was generated from the following file:

- JCRev.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.